import { lazy } from "react";
import { lazyRetry } from "../utils/lazyRetry";
import {
  ROUTE_SUPPORTER_ROUTE_ALLOCATIONS,
  ROUTE_SUPPORTERـHATCHINGS,
  ROUTE_SUPPORTERـHATCHINGS_DETAILS,
} from "./routes";

const VetFarmAllocations = lazy(() =>
  lazyRetry(() => import("../pages/VetFarmAllocations"))
);

const AllHatchings = lazy(() =>
  lazyRetry(() => import("../pages/AdminHatchings"))
);

export const supporterRouting = [
  {
    path: [ROUTE_SUPPORTER_ROUTE_ALLOCATIONS],
    Page: VetFarmAllocations,
    exact: false,
    props: {},
  },

  {
    path: [ROUTE_SUPPORTERـHATCHINGS, ROUTE_SUPPORTERـHATCHINGS_DETAILS],
    Page: AllHatchings,
    exact: false,
    props: {},
  },
];
